summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-10-16 12:14:43 +0200
committerHolger Levsen <holger@layer-acht.org>2015-10-16 12:14:43 +0200
commit231381ecda2a99fe7fd6e95d9a334cf1c17e70e1 (patch)
treeae6b0db6eead0e76359a5bdb5482741303dd6ffb /bin/reproducible_build.sh
parent22e483091d977b6a05ac41fde13d78508d388320 (diff)
downloadjenkins.debian.net-231381ecda2a99fe7fd6e95d9a334cf1c17e70e1.tar.xz
reproducible: check pbuilder return code and explain if it was killed by timeout
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index a8d27e25..ea51d1b2 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -559,6 +559,10 @@ EOF
--logfile b1/build.log \
${SRCPACKAGE}_${EVERSION}.dsc
) 2>&1 | tee -a $RBUILDLOG
+ PRESULT=${PIPESTATUS[0]}
+ if [ $PRESULT -eq 124 ] ; then
+ echo "$(date -u) - pbuilder was killed by timeout after 12h." | tee -a b1/build.log $RBUILDLOG
+ fi
if ! "$DEBUG" ; then set +x ; fi
rm $TMPCFG
}
@@ -596,7 +600,11 @@ EOF
--basetgz /var/cache/pbuilder/$SUITE-reproducible-base.tgz \
--buildresult $TMPDIR/b2 \
--logfile b2/build.log \
- ${SRCPACKAGE}_${EVERSION}.dsc || true # exit with 1 when ftbfs
+ ${SRCPACKAGE}_${EVERSION}.dsc | true # pbuilder exits with 1 on ftbfs, we use | instead of || so we can get the pipestatus
+ PRESULT=${PIPESTATUS[0]}
+ if [ $PRESULT -eq 124 ] ; then
+ echo "$(date -u) - pbuilder was killed by timeout after 12h." | tee -a b2/build.log
+ fi
if ! "$DEBUG" ; then set +x ; fi
rm $TMPCFG
}